curl --request GET \
--url https://api.provider.fiskil.com/fdx/v6/customer/{customerId}/accounts/{accountId}/contact \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.provider.fiskil.com/fdx/v6/customer/{customerId}/accounts/{accountId}/contact"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.provider.fiskil.com/fdx/v6/customer/{customerId}/accounts/{accountId}/contact', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"holders": [
{
"relationship": "SECONDARY",
"name": {
"first": "Ernest",
"middle": "Miller",
"last": "Hemingway",
"suffix": "IV"
}
},
{
"relationship": "PRIMARY_JOINT",
"name": {
"first": "Maya",
"last": "Angelou",
"middle": "Annie"
}
}
],
"emails": [
"ernest.m.hemingway@domain.tld",
"m.angelou@domain.tld"
],
"addresses": [
{
"line1": "1850 N Clark St",
"line2": "Apartment 103",
"city": "Chicago",
"region": "IL",
"postalCode": "60614",
"country": "US"
},
{
"line1": "2014 N Main St",
"city": "San Francisco",
"region": "CA",
"postalCode": "94105",
"country": "US"
}
],
"telephones": [
{
"type": "HOME",
"country": "1",
"number": "3127771926"
},
{
"type": "CELL",
"country": "53",
"number": "45915607"
},
{
"type": "HOME",
"country": "1",
"number": "4157771926"
}
]
}{
"error": "Customer not found"
}{
"code": 705,
"message": "Account is closed",
"debugMessage": "Operation is not supported by the closed account"
}{
"code": 704,
"message": "Account type not supported",
"debugMessage": "The account type does not support the selected action"
}{
"code": 500,
"message": "Internal server error",
"debugMessage": "Provider custom developer-level error details for troubleshooting"
}{
"code": 503,
"message": "Scheduled maintenance",
"debugMessage": "System is down for maintenance. Retry-After HTTP header may be used to communicate estimated time of recovery"
}Get an account's contact information
Get contact information on the account.
Authorizations
The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil
Console. To verify the JWT you must:
- Verify the signature
- Ensure the token has not expired by checking the
expclaim - The
subandissclaims are your data provider subdomain - The
audclaim is the URI of the resource being requested (excluding any query parameters) - The
jtivalue is unique For further detail on security and authentication refer to our Authentication documentation
Path Parameters
Account identifier, found in the GET /accounts endpoint response.
Note: If the status of the accountId provided is RESTRICTED, you can send a 200 response with an empty body to indicate that no payment networks are available at this time.
Value for a unique identifier
256"someLongTermUniqueIDString"
Unique identifier for the user the account belongs to. This will be the user that authorized the data sharing.
Value for a unique identifier
256"someLongTermUniqueIDString"
Response
Details used to verify an account
Details used to verify an account
Owners of the account.
1Show child attributes
Show child attributes
[
{
"relationship": "SECONDARY",
"name": {
"first": "Ernest",
"middle": "Miller",
"last": "Hemingway",
"suffix": "IV"
}
},
{
"relationship": "PRIMARY_JOINT",
"name": {
"first": "Maya",
"last": "Angelou",
"middle": "Annie"
}
}
]
Email addresses associated with the account
1[
"ernest.m.hemingway@domain.tld",
"m.angelou@domain.tld"
]
Physical mail addresses associated with the account
1Show child attributes
Show child attributes
[
{
"line1": "1850 N Clark St",
"line2": "Apartment 103",
"city": "Chicago",
"region": "IL",
"postalCode": "60614",
"country": "US"
},
{
"line1": "2014 N Main St",
"city": "San Francisco",
"region": "CA",
"postalCode": "94105",
"country": "US"
}
]
Telephone numbers associated with the account
1Show child attributes
Show child attributes
[
{
"type": "HOME",
"country": "1",
"number": "3127771926"
},
{
"type": "CELL",
"country": "53",
"number": "45915607"
},
{
"type": "HOME",
"country": "1",
"number": "4157771926"
}
]
Was this page helpful?